#include <iostream>
#include <vector>
using namespace std;

int main() {

	int n;
	cin >> n;

	vector<int> a;
	vector<int> b;

	
	for (int i = 1; i <= n; i++) {
		if (i % 2 == 1) {
			a.push_back(i);
			b.push_back(2 * n - i + 1);
		}
		else {
			a.push_back(2 * n - i + 1);
			b.push_back(i);
		}
	}


	

	

	for (int i = 0; i < a.size(); i++)
		cout << a[i] << " ";

	cout << '\n';

	for (int i = 0; i < b.size(); i++)
		cout << b[i] << " ";

	return 0;
}